<?php
/**
 * @package fabframe
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h1 class="entry-title"><?php the_title(); ?></h1>

		<div class="entry-meta">
			<?php fabframe_posted_on(); ?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Страницы:', 'fabframe' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-meta">
		<?php
			/* translators: used between list items, there is a space after the comma */
			$category_list = get_the_category_list( __( ', ', 'fabframe' ) );

			/* translators: used between list items, there is a space after the comma */
			$tag_list = get_the_tag_list( '', __( ', ', 'fabframe' ) );

			if ( ! fabframe_categorized_blog() ) {
				// This blog only has 1 category so we just need to worry about tags in the meta text
				if ( '' != $tag_list ) {
					$meta_text = __( 'Запись под меткой %2$s. Поместить в закладки эту <a href="%3$s" title="Ссылка на запись %4$s" rel="bookmark">ссылку</a>.', 'web2feel' );
				} else {
					$meta_text = __( 'Поместить в закладки эту <a href="%3$s" title="Ссылка на запись %4$s" rel="bookmark">ссылку</a>.', 'fabframe' );
				}

			} else {
				// But this blog has loads of categories so we should probably display them here
				if ( '' != $tag_list ) {
					$meta_text = __( 'Запись была опубликована в рубрике %1$s под меткой %2$s. <a href="%3$s" title="Ссылка на запись %4$s" rel="bookmark">Ссылка</a> на запись.', 'web2feel' );
				} else {
					$meta_text = __( 'Запись была опубликована в рубрике %1$s. <a href="%3$s" title="Ссылка на запись %4$s" rel="bookmark">Ссылка</a> на запись.', 'fabframe' );
				}

			} // end check for categories on this blog

			printf(
				$meta_text,
				$category_list,
				$tag_list,
				get_permalink()
			);
		?>

		<?php edit_post_link( __( 'Редактировать', 'fabframe' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-meta -->
</article><!-- #post-## -->
