<?php 
// Register Custom Post Type
function portfolio_type() {

	$labels = array(
		'name'                => 'Портфолио',
		'singular_name'       => 'Портфолио',
		'menu_name'           => 'Портфолио',
		'parent_item_colon'   => 'Основное Портфолио:',
		'all_items'           => 'Все Портфолио',
		'view_item'           => 'Просмотр Портфолио',
		'add_new_item'        => 'Добавить новое Портфолио',
		'add_new'             => 'Новое Портфолио',
		'edit_item'           => 'Редактировать Портфолио',
		'update_item'         => 'Обновить Портфолио',
		'search_items'        => 'Поиск Портфолио',
		'not_found'           => 'Портфолио не найдено',
		'not_found_in_trash'  => 'Портфолио не найдено в корзине',
	);
	$args = array(
		'label'               => 'portfolio',
		'description'         => 'Portfolio items',
		'labels'              => $labels,
		'supports'            => array('title', 'editor', 'thumbnail', ),
		'taxonomies'          => array(),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 5,
		'menu_icon'           => '',
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'page',
	);
	register_post_type( 'portfolio', $args );

}

// Hook into the 'init' action
add_action( 'init', 'portfolio_type', 0 );


// Register Custom Taxonomy
function genre_taxonomy()  {

	$labels = array(
		'name'                       => 'Категории',
		'singular_name'              => 'Категория',
		'menu_name'                  => 'Категория',
		'all_items'                  => 'Все Категории',
		'parent_item'                => 'Главная Категория',
		'parent_item_colon'          => 'Главная Категория:',
		'new_item_name'              => 'Имя новой Категория',
		'add_new_item'               => 'Добавить Категорию',
		'edit_item'                  => 'Редактировать Категорию',
		'update_item'                => 'Обновить Категорию',
		'separate_items_with_commas' => 'Отделяйте категории запятыми',
		'search_items'               => 'Поиск категории',
		'add_or_remove_items'        => 'Добавить или удалить категорию',
		'choose_from_most_used'      => 'Выберите из популярных категорий',
	);
	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	);
	register_taxonomy( 'genre', 'portfolio', $args );

}

// Hook into the 'init' action
add_action( 'init', 'genre_taxonomy', 0 );







//-----------------//


function slide_type() {

	$labels = array(
		'name'                => 'Слайды',
		'singular_name'       => 'Слайд',
		'menu_name'           => 'Слайд',
		'parent_item_colon'   => 'Главный слайд:',
		'all_items'           => 'Все слайды',
		'view_item'           => 'Просмотр слайда',
		'add_new_item'        => 'Добавить новый слайд',
		'add_new'             => 'Новый Слайд',
		'edit_item'           => 'Редактировать слайд',
		'update_item'         => 'Обновить слайд',
		'search_items'        => 'Поиск слайдов',
		'not_found'           => 'Слайды не найдены',
		'not_found_in_trash'  => 'Слайды не найдены в корзине',
	);
	$args = array(
		'label'               => 'slide',
		'description'         => 'Slideshow',
		'labels'              => $labels,
		'supports'            => array('title', 'thumbnail', ),
		'taxonomies'          => array(),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_nav_menus'   => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => 5,
		'menu_icon'           => '',
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'page',
	);
	register_post_type( 'slide', $args );

}

// Hook into the 'init' action
add_action( 'init', 'slide_type', 0 );